package com.philisense.www.service.impl;


import com.philisense.www.dao.ProUserDAO;
import com.philisense.www.service.ProUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProUserServiceImpl implements ProUserService {

@Autowired
private ProUserDAO proUserDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proUserDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proUserDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proUserDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proUserDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proUserDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proUserDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proUserDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proUserDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proUserDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proUserDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proUserDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proUserDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proUserDAO.updateBatch(list);
}

@Override
public List<Map<String, Object>> timecountlist(Map<String, Object> map) {
    return proUserDAO.timecountlist(map);
}

    @Override
    public List<Map<String, Object>> getAllAddressBook(Map<String, Object> map) {
        return proUserDAO.getAllAddressBook(map);
    }


    @Override
    public int countUserByProResourceWorkFlowId(Map<String, Object> map) {
        return proUserDAO.countUserByProResourceWorkFlowId(map);
    }

    @Override
    public List<Map<String, Object>> getByIdIn(List<String> userIdList) {
        return proUserDAO.getByIdIn(userIdList);
    }

    @Override
    public Map<String, Object> getOneByUserName(Map<String, Object> map) {
        return proUserDAO.getOneByUserName(map);
    }

    @Override
    public List<Map<String, Object>> getAllByUserName(Map<String, Object> map) {
        return proUserDAO.getAllByUserName(map);
    }

    @Override
    public int countByAuthority(Map<String, Object> map) {
        return proUserDAO.countByAuthority(map);
    }

    @Override
    public List<Map<String, Object>> queryPageByAuthority(Map<String, Object> map) {
        return proUserDAO.queryPageByAuthority(map);
    }

    @Override
    public int countUserOrg(Map<String, Object> map) {
        return proUserDAO.countUserOrg(map);
    }

    @Override
    public List<Map<String, Object>> queryPageUserOrg(Map<String, Object> map) {
        return proUserDAO.queryPageUserOrg(map);
    }

    @Override
    public List<Map<String, Object>> getAllUser(Map<String, Object> map) {
        return proUserDAO.getAllUser(map);
    }

    @Override
    public List<Map<String, Object>> getAllByAuthType(String authType) {

    return proUserDAO.getAllByAuthType(authType);
    }

    @Override
    public List<Map<String, Object>> selectUserByProResourceWorkFlowId(Map<String, Object> map) {
        return proUserDAO.selectUserByProResourceWorkFlowId(map);
    }
}